Name:           dclib
Version:        0.3.23
Release:        2%{?dist}
Summary:        Direct Connect file sharing library

Group:          Applications/Internet
License:        GPLv2+
URL:            http://sourceforge.net/projects/wxdcgui/
Source0:        http://dl.sourceforge.net/wxdcgui/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libxml2-devel, openssl-devel, bzip2-devel
BuildRequires:  automake, autoconf

%description
This library implements the Direct Connect file sharing protocol.  The package
contains the library required for running programs based on dclib.


%package devel
Summary:        Development libraries for Direct Connect
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig, libxml2-devel


%description devel
This library implements the Direct Connect file sharing protocol.
The package contains the C++ headers and library to compile programs based
on dclib.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/*.la

# remove additional directory level
mv $RPM_BUILD_ROOT%{_includedir}/dclib-0.3/dclib $RPM_BUILD_ROOT%{_includedir}
rmdir $RPM_BUILD_ROOT%{_includedir}/dclib-0.3

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.OpenSSL README NEWS ChangeLog
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc HACKING
%{_libdir}/pkgconfig/dclib.pc
%{_includedir}/dclib
%{_libdir}/*.so


%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 16 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 0.3.23-1
- Update to 0.3.23
- Fixed license tag

* Wed Jan 28 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 0.3.22-1
- Update to 0.3.22
- Many bugfixes, code cleanup etc.
- Upload slot changes
- Major feature changes (together with valknut) mentioned in NEWS from 0.3.11 to 0.3.21:
  0.3.20: Segment size adjustable, Download folders from search, Warnings about settings,
  0.3.19: More search results returned, Switching active/passive mode, StrongDC compatible encryption,
  Partial list uploads, Search window improvements, User list icon changes
  0.3.14: Nick tab completion improvements, Chat command improvements, Filelist storage changes, 
  Public hubs display improved, /rebuild command fixed and improved, Folder search results

* Thu Jan 15 2009 Tomas Mraz <tmraz@redhat.com> - 0.3.11-5
- rebuild with new openssl

* Fri Feb  8 2008 Luke Macken <lmacken@redhat.com> - 0.3.11-4
- Rebuild for gcc 4.3

* Wed Dec 05 2007 Release Engineering <rel-eng at fedoraproject dot org> - 0.3.11-3
- Rebuild for deps

* Wed Dec  5 2007 Luke Macken <lmacken@redhat.com> 0.3.11-2
- Rebuild

* Sun Oct 14 2007 Luke Macken <lmacken@redhat.com> 0.3.11-1
- 0.3.11
- Remove patches:
    01-dclib-0.3.10-remove-cmd4.patch
    02-dclib-0.3.10-use-gnulib-md5.patch
    03-dclib-0.3.10-use-new-md5-api.patch
    04-dclib-0.3.10-gnulib-md5-configure-test.patch

* Tue Sep 18 2007 Luke Macken <lmacken@redhat.com> 0.3.10-2
- Remove RSA MD5 implementation in favor of the gnulib implementation.  Patches
  taken from upstream ticket:
  https://sourceforge.net/tracker/?func=detail&atid=897767&aid=1796674&group_id=181579

* Tue Aug 27 2007 Luke Macken <lmacken@redhat.com> 0.3.10-1
- 0.3.10
- Update License to GPLv2
- Remove dclib-0.3.8-cconfig-use-cfile.patch

* Tue Apr 17 2007 Luke Macken <lmacken@redhat.com> 0.3.8-2
- Add dclib-0.3.8-cconfig-use-cfile.patch from Edward Sheldrake to fix
  rawhide build errors

* Mon Jan  3 2007 Luke Macken <lmacken@redhat.com> 0.3.8-1
- 0.3.8 from new upstream
- Remove patches:
    dclib-0.3.7-permissions.patch
    dclib-0.3.7-keylock.patch
    dclib-0.3.7-hashfix.patch

* Sun Sep  3 2006 Luke Macken <lmacken@redhat.com> 0.3.7-8
- Rebuild for FC6

* Sun Apr 20 2006 Luke Macken <lmacken@redhat.com> 0.3.7-7
- dclib-0.3.7-permissions.patch
  make valknut use the umask instead of hardcoded permissions
- dclib-0.3.7-keylock.patch
  fixes $Lock-parsing problem
- dclib-0.3.7-hashfix.patch
  fixes production of wrong hashes

* Mon Feb 13 2006 Luke Macken <lmacken@redhat.com> 0.3.7-6
- Rebuild for FE5

* Tue Dec 27 2005 Luke Macken <lmacken@redhat.com> 0.3.7-5
- Rebuild

* Thu Nov 10 2005 Luke Macken <lmacken@redhat.com> 0.3.7-4
- Rebuild for new openssl

* Mon Oct 03 2005 Luke Macken <lmacken@redhat.com> 0.3.7-3
- Add libxml2-devel to Requires

* Sun Oct 02 2005 Luke Macken <lmacken@redhat.com> 0.3.7-2
- Add documentation and license to package
- Set defattr and fix Requires in the devel package

* Thu Sep 29 2005 Luke Macken <lmacken@redhat.com> 0.3.7-1
- Packaged for Fedora Extras
